--Detail data
SELECT order_method_type
       ,format(sum(profit),'C') as total_profit --call this column total_profit
FROM sales_enriched
GROUP BY order_method_type
UNION ALL
--Totals
SELECT NULL --UNION ALL requires a match on all columns.
       ,format(sum(profit),'C') as total_profit --call this column total_profit
FROM sales_enriched

--GROUPING SETS
SELECT order_method_type
       ,format(sum(profit),'C') as total_profit --call this column total_profit
FROM sales_enriched
GROUP BY GROUPING SETS ((order_method_type),())

--Customisations.
SELECT order_method_type
       ,format(sum(profit),'C') as profit --call this column total_profit
FROM sales_enriched
GROUP BY order_method_type
UNION ALL
SELECT '================================','============' --Separator
UNION ALL
SELECT 'Grand total:'
       ,format(sum(profit),'C') as total_profit --call this column total_profit
FROM sales_enriched